<div
  #fallbackOverlayOrigin="cdkOverlayOrigin"
  (click)="open()"
  cdk-overlay-origin
  class="input-trigger"
>
  <div class="input-value-wrapper">
    @if (empty) {
    <span class="input-value-placeholder min-line">{{ placeholder }}</span>
    } @else {
    <span class="input-value min-line">{{ triggerValue | async }}</span>
    }
  </div>

  <div [class.icon-wrapper--inactive]="!panelOpen" class="icon-wrapper">
    <mat-icon [color]="panelOpen ? 'primary' : null">unfold_more</mat-icon>
  </div>
</div>

<ng-template
  (backdropClick)="close()"
  (detach)="close()"
  [cdkConnectedOverlayHeight]="400"
  [cdkConnectedOverlayOpen]="panelOpen"
  [cdkConnectedOverlayOrigin]="preferredOverlayOrigin ?? fallbackOverlayOrigin"
  [cdkConnectedOverlayPositions]="positions"
  [cdkConnectedOverlayWidth]="overlayWidth"
  cdk-connected-overlay
  cdkConnectedOverlayBackdropClass="cdk-overlay-transparent-backdrop"
  cdkConnectedOverlayHasBackdrop
  cdkConnectedOverlayLockPosition>
  <div class="select-panel">
    <ng-content></ng-content>
  </div>
</ng-template>
